function [energy,maxen,minen,posenmax,posenmin,den,soen,rozen,meden]=energiesignalu(vstup,Ns,fvz,zz)  
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
%Funkce pro výpocet Energie vzorku 
%--------------------------------------------------------------------------
%Bc.árka Sobotková                                                    2013
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
N=Ns*fvz/1000 ;% delka ramce  

NN=length(vstup); % Delka analizovaneho vzorku
I=fix(NN/N)+1;  % Pocet segmentu
vstup=vstup';
vstup=[vstup zeros(1,(I*N-NN))];
maxen=0;
minen=9999;
poden=0;
poden2=0;
for i=1:I % Hlavní cyklus - prováden pro kazdy segment zvlast
   xx=vstup((i-1)*N+1:i*N);
   energy(i)=(1/length(xx))*(sum(xx.^2))*17500;
   if energy(i)>=maxen
       maxen=energy(i); % Maximální hodnota energie
       posenmax=i;  % Pozice Maxima energie
   end
   if energy(i)<=minen
       if energy>=0.0000001
           minen=energy(i);  % Minimální hodnota energie (mimo nul)
           posenmin=i;  % Pozice Minima energie
       end
   end
   poden2=poden2+energy(i);
   poden=poden+energy(i)*energy(i);
end

posenmin=posenmin/I*100;
posenmax=posenmax/I*100;
den=(poden/I)-(poden2*poden2); % Rozptyl energie
soen=sqrt(den);

rozen=10*log(maxen/minen);

[meden,e123]=median(energy,I); % vypocet mediánu energie

if zz==1;
  figure;
  plot(energy);
  grid
  title('Energie signálu')
  xlabel('m')
  ylabel('E(m)')
end